Subject: Re: bug#762: Debian removed essential startup scripts

From: Klaus Ethgen <[email-masked]>
Date: Tue, 20 Jun 2023 12:39:12 +0100

Hi Marc,

Am Di den 20. Jun 2023 um 12:17 schrieb Mark Hindley:
> Could you please clarify the boot failure mode caused by the initscript
> removal. We are pursuing this in Debian, but lorenzo has just pointed out that
> 
> On Tue, Jun 20, 2023 at 12:18:47PM +0200, lorenzo wrote:                                                                                                   
> > Can you elaborate on this? I may be wrong, but I don't understand how the
> > removal of mdadm script can render the system unbootable: the script runs
> > mdadm in monitor mode and starts in runlevel 2. There is no script (removed)
> > in runlevel S, I suspect a fail to boot will involve a problem in the kernel
> > or in udev rules (that are still there)?
> 
> I have had a quick look and agree.
> 
> Is there some other change that has caused this? Or has the initramfs
> integration broken. Have you edited the runlevels of the original initscripts?

Hmm. I have to admit that I did not had the courage to boot the system
without that init script as I am depending on working md devices.

But I have a pretty old system with no initrd and separated /usr as it
was supported long ago. So I am usual extra sensitive to such changes.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C